package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.github.pagehelper.Page;

public interface StaffMapper {
    int deleteByPrimaryKey(String staffId);

    int insert(TabHaobanStaff record);

    int insertSelective(TabHaobanStaff record);

    TabHaobanStaff selectByPrimaryKey(String staffId);

    int updateByPrimaryKeySelective(TabHaobanStaff record);

    int updateByPrimaryKey(TabHaobanStaff record);

	TabHaobanStaff selectByNationcodeAndPhoneNumber(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("nationCode")String nationcode, @Param("phoneNumber")String phoneNumber);
	
	List<TabHaobanStaff> listByIds(@Param("staffIds")List<String> staffIds);
	
	Page<TabHaobanStaff> pageStaff(@Param("staffIds")Set<String> staffIds, @Param("activeFlag")Integer activeFlag, @Param("keyword")String keyword);

	TabHaobanStaff selectByUserId(@Param("userId")String userId);
	
	TabHaobanStaff selectSuperByWxEnterpriseId(@Param("wxEnterpriseId")String wxEnterpriseId);
}